{
	"name": "@megatherium/gitlab-api",
	"license": "SEE LICENSE IN LICENSE.md",
	"version": "0.16.1",
	"main": "dist/index.js",
	"author": {
		"name": "Martin Bories",
		"email": "martin.bories@megatherium.solutions"
	},
	"contributors": [
		{
			"name": "Martin Bories",
			"email": "martin.bories@megatherium.solutions"
		}
	],
	"repository": {
		"type": "git",
		"url": "https://gitlab.com/megatherium/gitlab-api.git"
	},
	"scripts": {
		"build": "npm run clear && npm run build-source && npm run build-docs && npm run build-tests",
		"build-docs": "jsdoc src -c .jsdocrc.json",
		"build-source": "babel src --out-dir dist --extensions .js,.jsx",
		"build-tests": "node dist/bin/build-tests.js && babel src/test/integration/jsdoc --out-dir dist/test/integration/jsdoc --extensions .js,.jsx",
		"clear": "npm run clear-coverage && npm run clear-docs && npm run clear-tests && npm run clear-source",
		"clear-coverage": "rimraf-cli coverage && rimraf-cli coverage-jest && rimraf-cli coverage-nyc && rimraf-cli .nyc_output",
		"clear-docs": "rimraf-cli docs",
		"clear-source": "rimraf-cli dist",
		"clear-tests": "rimraf-cli src/test/integration/jsdoc",
		"fix": "npm run fix-lint",
		"fix-deps": "cross-env RENOVATE_CONFIG_FILE=renovate.config.js renovate",
		"fix-lint": "eslint --no-eslintrc --config .eslintrc src --ext .js,.jsx --fix",
		"integrate-npm": "node dist/bin/integrate-npm.js",
		"release": "semantic-release",
		"start": "node dist/index.js",
		"test": "npm run test-deps && npm run test-lint && npm run test-unit && npm run test-integration && npm run test-e2e && npm run test-coverage",
		"test-coverage": "cpy coverage-nyc/coverage-final.json coverage-jest --rename=coverage-final-nyc.json && nyc merge coverage-jest coverage/coverage-final.json && nyc report -t coverage --report-dir coverage --reporter=html --reporter=text",
		"test-deps": "depcheck --config .depcheckrc.json",
		"test-e2e": "cross-env NODE_ENV=test nyc --cwd . --no-clean cucumber-js -f node_modules/cucumber-pretty --require-module @babel/register src/test/e2e",
		"test-integration": "cross-env NODE_ENV=test JEST_TEST=1 jest --passWithNoTests --config=.jestrc.json",
		"test-license": "node dist/bin/test-license.js",
		"test-lint": "eslint --no-eslintrc --config .eslintrc src --ext .js,.jsx",
		"test-unit": "cross-env NODE_ENV=test nyc --cwd . --silent mocha src/test/unit/**/*.js",
		"update": "cross-env RENOVATE_CONFIG_FILE=renovate.config.js renovate"
	},
	"dependencies": {
		"@megatherium/log": "^1.6.5",
		"cross-fetch": "^3.1.4",
		"qs": "^6.10.1"
	},
	"devDependencies": {
		"@babel/cli": "^7.14.8",
		"@babel/core": "^7.14.8",
		"@babel/plugin-proposal-class-properties": "^7.14.5",
		"@babel/plugin-transform-runtime": "^7.14.5",
		"@babel/preset-env": "^7.14.9",
		"@babel/register": "^7.14.5",
		"@babel/runtime": "^7.14.8",
		"@istanbuljs/nyc-config-babel": "^3.0.0",
		"@megatherium/eslint-config": "^0.7.9",
		"@megatherium/exec": "^0.2.11",
		"@megatherium/fs-promises": "^0.2.13",
		"@megatherium/has-property": "^1.4.11",
		"@megatherium/npm-api": "^0.2.10",
		"@megatherium/rimraf-cli": "^0.2.4",
		"@megatherium/sleep": "^0.4.5",
		"@semantic-release/changelog": "^5.0.1",
		"@semantic-release/git": "^9.0.0",
		"@semantic-release/gitlab": "^6.2.2",
		"@semantic-release/npm": "^7.1.3",
		"babel-eslint": "^10.1.0",
		"babel-jest": "^27.0.6",
		"babel-plugin-istanbul": "^6.0.0",
		"cpy-cli": "^3.1.1",
		"cross-env": "^7.0.3",
		"cucumber": "^6.0.5",
		"cucumber-pretty": "^6.0.0",
		"depcheck": "^1.4.2",
		"docdash": "^1.2.0",
		"eslint": "^7.32.0",
		"jest": "^27.0.6",
		"jsdoc": "^3.6.7",
		"jsdoc-api": "^7.0.1",
		"license-checker": "^25.0.1",
		"minimatch": "^3.0.4",
		"mkdirp": "^1.0.4",
		"mocha": "^9.0.3",
		"npm-check-updates": "^11.8.3",
		"nyc": "^15.1.0",
		"renovate": "^25.67.0",
		"rimraf": "^3.0.2",
		"semantic-release": "^17.4.4"
	},
	"publishConfig": {
		"@megatherium:registry": "https://gitlab.com/api/v4/projects/28207703/packages/npm/"
	}
}
